de.esprit.appsuite.gui.pathtree

## Class LocalPathTreeModelDriver

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<ApplicationContext>
    - - de.esprit.appsuite.nio.watcher.PathTreeModelDriver
      - - de.esprit.appsuite.gui.pathtree.LocalPathTreeModelDriver

- All Implemented Interfaces:
    ApplicationObject<ApplicationContext>, PathChangeEvent.Source, PathRegistrationEvent.Source, SimpleLogSupport, Dumpable

      public class LocalPathTreeModelDriver
      extends PathTreeModelDriver

  This `PathTreeModelDriver` implementation runs a `PathWatcher` that observes registered paths in the local file-system. This class ensures that change events are dispatched within the event dispatcher thread. Therefore this class can directly drive a GUI component such as a `PathTreeModel`.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalPathTreeModelDriver(ApplicationContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.file.DirectoryStream.Filter<java.nio.file.Path>` | `getFilter()`
    `boolean` | `isWatchServiceRunning()`
    `java.util.List<PathInfo>` | `loadChildren(PathInfo parentInfo)`
    `void` | `renamePath(java.nio.file.Path oldPath, java.nio.file.Path newPath)`
    `void` | `setFilter(java.nio.file.DirectoryStream.Filter<java.nio.file.Path> filter)`
    `void` | `startWatchService()`
    `void` | `stopWatchService()`

    - ### Methods inherited from class de.esprit.appsuite.nio.watcher.PathTreeModelDriver

      `addPathChangeListener, addPathRegistrationListener, firePathChangeEvent, firePathRegistrationEvent, removePathChangeListener, removePathRegistrationListener`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalPathTreeModelDriver

          public LocalPathTreeModelDriver(ApplicationContext ctx)

  - ### Method Detail

    - #### startWatchService

          public void startWatchService()

      Specified by:
        `startWatchService` in class `PathTreeModelDriver`

    - #### stopWatchService

          public void stopWatchService()

      Specified by:
        `stopWatchService` in class `PathTreeModelDriver`

    - #### isWatchServiceRunning

          public boolean isWatchServiceRunning()

      Specified by:
        `isWatchServiceRunning` in class `PathTreeModelDriver`

    - #### setFilter

          public void setFilter(java.nio.file.DirectoryStream.Filter<java.nio.file.Path> filter)

      Specified by:
        `setFilter` in class `PathTreeModelDriver`

    - #### getFilter

          public java.nio.file.DirectoryStream.Filter<java.nio.file.Path> getFilter()

      Specified by:
        `getFilter` in class `PathTreeModelDriver`

    - #### loadChildren

          public java.util.List<PathInfo> loadChildren(PathInfo parentInfo)

      Specified by:
        `loadChildren` in class `PathTreeModelDriver`

    - #### renamePath

          public void renamePath(java.nio.file.Path oldPath,
                        java.nio.file.Path newPath)
                          throws java.io.IOException

      Specified by:
        `renamePath` in class `PathTreeModelDriver`
      Throws:
        `java.io.IOException`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.